package com.example.core.theme

import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.painter.Painter
import androidx.compose.ui.res.painterResource
import com.example.core.R

/**
 * Автор: Манякин Дмитрий (user5)
 * Дата создания: 26.05.2025
 * */

object CustomIcons {
    val showPassword: Painter
        @Composable get() = painterResource(R.drawable.icon_eye_show)

    val hidePassword: Painter
        @Composable get() = painterResource(R.drawable.icon_eye_close)

    val closeSheet: Painter
        @Composable get() = painterResource(R.drawable.icon_close_sheet)

    val more: Painter
        @Composable get() = painterResource(R.drawable.icon_chevron_down)

    val close: Painter
        @Composable get() = painterResource(R.drawable.icon_close)

    val search: Painter
        @Composable get() = painterResource(R.drawable.icon_search)

    val cart: Painter
        @Composable get() = painterResource(R.drawable.icon_shopping_cart)

    val vk: Painter
        @Composable get() = painterResource(R.drawable.icon_vk)

    val yandex: Painter
        @Composable get() = painterResource(R.drawable.icon_yandex)

    val back: Painter
        @Composable get() = painterResource(R.drawable.icon_chevron_left)

    val filter: Painter
        @Composable get() = painterResource(R.drawable.icon_filter)

    val home: Painter
        @Composable get() = painterResource(R.drawable.icon_home)

    val catalog: Painter
        @Composable get() = painterResource(R.drawable.icon_catalog)

    val projects: Painter
        @Composable get() = painterResource(R.drawable.icon_projects)

    val profile: Painter
        @Composable get() = painterResource(R.drawable.icon_profile)

    val minus: Painter
        @Composable get() = painterResource(R.drawable.icon_minus)

    val plus: Painter
        @Composable get() = painterResource(R.drawable.icon_plus)

    val delete: Painter
        @Composable get() = painterResource(R.drawable.icon_delete)
}